<?php
   session_start();
   if ( empty($_SESSION) || ! (isset($_SESSION["filled"]) ) ) {
	   // echo "<br>default values";
	   $anzahlsignale = 10;
	   $tasterot = "A";
	   $tasteweiss = "B";
	   $tastegelb = "C";
	   $tastegrun = "D";
	   $tasteblau = "E";
	   $tastehell = "H";
	   $tastedunkel = "I";
	   $schwierigskeitgrad = 1;
	   $pedalversion = 1;
	   $anzahlgleichzeitig = 1;
	   $reaktionszeitsek = 2.0;
	   $signalabstandsek = 4.0;
   }
   else if ( $_SESSION["filled"]==1 ) {
	   $anzahlsignale = $_SESSION["anzahlsignale"];
	   $tasterot = $_SESSION["tasterot"];
	   $tasteweiss = $_SESSION["tasteweiss"];
	   $tastegelb = $_SESSION["tastegelb"];
	   $tastegrun = $_SESSION["tastegrun"];
	   $tasteblau = $_SESSION["tasteblau"];
	   $tastehell = $_SESSION["tastehell"];
	   $tastedunkel = $_SESSION["tastedunkel"];
	   $schwierigskeitgrad = $_SESSION["schwierigskeitgrad"];
	   $pedalversion = $_SESSION["pedalversion"];
	   $anzahlgleichzeitig = $_SESSION["anzahlgleichzeitig"];
	   $reaktionszeitsek = $_SESSION["reaktionszeitinsekunden"];
	   $signalabstandsek = $_SESSION["signalabstandinsekunden"];
	   
   }
   // echo "<br>anzahlsignale: $anzahlsignale";
   
   if ( (!empty($_GET["sp"]) && isset($_GET["sp"])) && $_GET["sp"]==1 ) {
	   echo "<script>alert('Die Parameter wurden gespeichert.');</script>";
   }
   
   
?>


<!doctype html>
<html>
<head>

<script src="./../../../user/js/jquery.min.js"></script>

<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">

<meta charset="utf-8">
<meta name="viewport" content="width=device-width">
<title> Farb- und Ton-Reaktionstest mit Pedale</title>

<link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="css/style.css">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>


 <script>
function playaudio(audionumber) {
		// alert("playaudio audionumber: " + audionumber);
		if ( audionumber == 1 ) {
			myAudioHell.play();			
		}
		else if ( audionumber == 2 ) {
			myAudioDunkel.play();				
		}
		// var audio = 1;
		/*
		$.ajax({
				url         : 'playaudio.php?audionumber=' + audionumber,    // point to server-side PHP script
				dataType    : 'text',           // what to expect back from the PHP script, if anything
				cache       : false,
				contentType : false,
				processData : false,
				type        : 'post',
				success     : function(data){
				   // alert(data);              
				}
		 });
	*/	 
	}
</script>
 
<!-- MODAL Help START -->
    <div class="modal fade" id="modal-help" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content" style="width:700px">
          <div class="modal-header">
            <h5 class="modal-title" id="modal-settings-Label"> Anleitung Farb- und Ton-Reaktionstest mit Pedale </h5>
            <button type="button" class="close" data-dismiss="modal"> <span aria-hidden="true">×</span> </button>
          </div>
          <div class="modal-body"> <img src="farbundtonreaktionstest_anleitung.png"> </div>
        </div>
      </div>
    </div>
    <!-- MODAL Help END -->

<style>
  #root { height: 100%; }
</style>


<script>


window.oncontextmenu = function () {
   return false;
}


var pedallinkspainted = 0;
var pedalrechtspainted = 0;

function func2() {

	if ( document.getElementById('pedaltest').value==0) {
		document.getElementById('pedaltestbutton').value='STOP TEST';
		document.getElementById('pedaltest').value=1;
	}
	else if ( document.getElementById('pedaltest').value==1) {
		document.getElementById('pedaltestbutton').value='Pedal Test';
		document.getElementById('pedaltest').value=0;
	}

}

function findduplicates(a) {
    for(var i = 0; i <= a.length; i++) {
        for(var j = i; j <= a.length; j++) {
            if(i != j && a[i] == a[j]) {
                return a[i];
            }
        }
    }
    return false;
}

function validatekeys() { 
    // alert("validatekeys");
	

	var keys = [];
    keys[0] = document.getElementById("tasterot").value;
	keys[1] = document.getElementById("tasteweiss").value;
	keys[2] = document.getElementById("tastegelb").value;
	keys[3] = document.getElementById("tastegrun").value;
	keys[4] = document.getElementById("tasteblau").value;
	keys[5] = document.getElementById("tastehell").value;
	keys[6] = document.getElementById("tastedunkel").value;
	
	// alert("keys: " + JSON.stringify(keys));
	
	duplicates = findduplicates(keys);
	if ( duplicates != false ) {
		alert ("Es gibt doppelte Tastenbelegung bei: " + duplicates );
		// document.location.href='form.php';
		// window.location='form.php';}
		return false;
	}
	else {
		// alert ("There are NO duplicates keys");
		return true;
	}
}


 $(document).keypress(function(e){

    // alert ("keypress");
	
	if ( document.getElementById('pedaltest').value == 1 ) {
		var pedalversion = $("input[name='pedalversion']:checked").val();
		// alert ("pedalversion: " + pedalversion + " pedallinkspainted: " + pedallinkspainted);
		if ( ( pedalversion == 1 ) && e.key.toUpperCase() == 1 && pedallinkspainted == 0) {
		  ctx.rect(25, 25, 75, 100);
		  ctx.fillStyle = "white";
		  ctx.fillRect(25, 25, 75, 100);
		  pedallinkspainted = 1;
		}
		
		else if ( ( pedalversion == 1 ) && e.key.toUpperCase() == 1 && pedallinkspainted == 1) {
			clearPedal(ctx, 25, 25, 75, 100);
			pedallinkspainted = 0;
		}
		
		else if ( ( pedalversion == 1 ) && e.key.toUpperCase() == 2 && pedalrechtspainted == 0) {
		  ctx.rect(115, 25, 75, 100);
		  ctx.fillStyle = "white";
		  ctx.fillRect(115, 25, 75, 100);
		  pedalrechtspainted = 1;
		}
		
		else if ( ( pedalversion == 1 ) &&e.key.toUpperCase() == 2 && pedalrechtspainted == 1) {
			clearPedal(ctx, 115, 25, 75, 100);
			pedalrechtspainted = 0;
		}
		
	}
	

});
 
 
 function clearPedal (context, x, y, pedalwitdh, pedalheight) {
	// alert(" clearPedal x: " + x + " y: " + y);
	context.beginPath();
	context.fillStyle = "#2ECCFA";
	context.fillRect(x, y, pedalwitdh, pedalheight);
	context.closePath();
}


</script>



</head>
<body>

  <audio id="myAudioHell">
  <source src="soundhell.ogg" type="audio/ogg">
  </audio>
  <audio id="myAudioDunkel">
  <source src="sounddunkel.ogg" type="audio/ogg">
  </audio>
 
  <div align="center">

   
 
 
			
						
<form id="form1"  name="form1" method="post" action="canvas.php" onsubmit="return validatekeys();">
	<h1> Farb- und Ton-Reaktionstest mit Pedale </h1>
    <table bgcolor="#2ECCFA">
	
	<tr> 
        <td width="102"></td>
		<td width="102"></td>
		<td width="102">
			
		</td>
	</tr>	
	  
	<tr> 
        <td width="102">
		
	
		Anzahl der Aufgaben
		
		
		
		</td>
        <td width="131"> 
          <select name="anzahlsignale" >
		    <?php
			  $default = $anzahlsignale;
			  for ( $i=1; $i<=108; $i++ ) {
				  $selected = "";
				  if ( $i == $default ) {
						$selected = " selected ";
				  }
				  echo "<option value='$i' $selected>$i</option>";
			  }
			?>  
          </select>
        </td>
      </tr>
	  
	   <tr> 
        <td width="102"></td>
	  </tr>	
	  
	  <tr> 
        <td width="102"></td>
	  </tr>	
	  
	  <tr> 
        <td width="102"></td>
	  </tr>	
	  
	  <tr> 
        <td width="102"></td>
	  </tr>	

	  <tr> 
        <td width="102">Farbe Rot</td>
		<td width="10"> <span style="background-color:red;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span> </td>
		 <td width="131"> Taste 
          <select name="tasterot" id="tasterot">
		      <?php
				 foreach (range('A', 'Z') as $char) {
					$selected = "";
					if ( $char == $tasterot ) {
						$selected = " selected ";
					}
					echo "<option value='$char' $selected >$char</option>";
				 }
			  ?> 
          </select>
        </td>
	  </tr>
		
	  <tr> 
        <td width="102">Farbe Weise</td>
		<td width="10"> <span style="background-color:white;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span> </td>
		 <td width="131"> Taste 
          <select name="tasteweiss" id="tasteweiss">
			  <?php
				 foreach (range('A', 'Z') as $char) {
					$selected = "";
					if ( $char == $tasteweiss ) {
						$selected = " selected ";
					}
					echo "<option value='$char' $selected >$char</option>";
				 }
			  ?> 
          </select>
        </td>
	  </tr>		
	
	 
 <tr> 
        <td width="102">Farbe Gelb</td>
		<td width="10"> <span style="background-color:yellow;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span> </td>
		 <td width="131"> Taste 
          <select name="tastegelb" id="tastegelb">
		     <?php
				 foreach (range('A', 'Z') as $char) {
					$selected = "";
					if ( $char == $tastegelb ) {
						$selected = " selected ";
					}
					echo "<option value='$char' $selected >$char</option>";
				 }
			  ?> 
          </select>
        </td>
	  </tr>		


 <tr> 
        <td width="102">Farbe Gr&uuml;n</td>
		<td width="10"> <span style="background-color:green;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span> </td>
		 <td width="131"> Taste 
          <select name="tastegrun" id="tastegrun">
		      <?php
				 foreach (range('A', 'Z') as $char) {
					$selected = "";
					if ( $char == $tastegrun ) {
						$selected = " selected ";
					}
					echo "<option value='$char' $selected >$char</option>";
				 }
			  ?> 
          </select>
        </td>
	  </tr>		


 <tr> 
        <td width="102">Farbe Blau</td>
		<td width="10"> <span style="background-color:blue;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span> </td>
		 <td width="131"> Taste 
          <select name="tasteblau" id="tasteblau">
		       <?php
				 foreach (range('A', 'Z') as $char) {
					$selected = "";
					if ( $char == $tasteblau ) {
						$selected = " selected ";
					}
					echo "<option value='$char' $selected >$char</option>";
				 }
			  ?> 
          </select>
        </td>
	  </tr>			  
	
	  <tr> 
        <td width="102"></td>
	  </tr>	
	  
	  <tr> 
        <td width="102"></td>
	  </tr>	
	  
	  <tr> 
        <td width="102"></td>
	  </tr>	
	  
	  <tr> 
        <td width="102"></td>
	  </tr>	
	  	   <tr> 
        <td width="102">Ton Hell</td>
		<td width="10">
        <input id="saveForm" class="btn btn-primary" type="button" name="Test" value="Test" onclick="playaudio(1)"/>
        </td><td width="131"> Taste 
          <select name="tastehell" id="tastehell">
		    <?php
				 foreach (range('A', 'Z') as $char) {
					$selected = "";
					if ( $char == $tastehell ) {
						$selected = " selected ";
					}
					echo "<option value='$char' $selected >$char</option>";
				 }
			  ?> 
          </select>
        </td>
      </tr>	
	  
	   <tr> 
        <td width="102">Ton Dunkel</td>
        <td width="10"> 
        <input id="saveForm" class="btn btn-primary" type="button" name="Test" value="Test" onclick="playaudio(2)"/></td>
        <td width="131"> Taste <select name="tastedunkel" id="tastedunkel">
		    <?php
				 foreach (range('A', 'Z') as $char) {
					$selected = "";
					if ( $char == $tastedunkel ) {
						$selected = " selected ";
					}
					echo "<option value='$char' $selected >$char</option>";
				 }
			  ?> 
          </select>
        </td>
      </tr>		  
	 <tr> 
    
	 <tr> 
        <td width="102"></td>
	  </tr>	
	  
	  <tr> 
        <td width="102"></td>
	  </tr>	
	  
	  <tr> 
        <td width="102"></td>
	  </tr>	
	  
	  <tr> 
        <td width="102"></td>
        <td width="131"> Reaktionszeit in Sekunden
		<select name="reaktionszeitinsekunden" >
		    <?php
			  $default = $reaktionszeitsek;
			  for ( $i=0.6; $i<=5; $i+=0.1 ) {
				  $selected = "";
				  if (abs(($i-$default)/$default) < 0.00001) {
						$selected = " selected ";
				  }
				  echo "<option value='$i' $selected>$i</option>";
			  }
			?>  
          </select>
		  <br>
		  Signalabstand in Sekunden
		  <select name="signalabstandinsekunden" >
		    <?php
			  $default = $signalabstandsek;
			  for ( $i=1; $i<10; $i+=0.1 ) {
				  $selected = "";
				  if (abs(($i-$default)/$default) < 0.00001) {
						$selected = " selected ";
				  }
				  echo "<option value='$i' $selected>$i</option>";
			  }
			?>  
          </select>
		  <br>
		  
		</td>
		<td width="131">
			<canvas id="circle" width="250" height="140"></canvas>
		</td>
		 
	  </tr>			 
		 
	  <tr> 
        <td width="102"></td>
		<td width="200"></td>
		<td width="131" style="text-align:center">
			
			<input class="btn btn-primary" type="button" id="pedaltestbutton" name="submit" value="Pedal Test" onclick="func2();"/>
	    </td>
	  </tr>	
	  
	  <tr> 
        <td width="102"></td>
	  </tr>	
	  
	
	  
	  
	  
      <tr> 
        <td width="102">Pedal Version</td>
        <td width="131"> 
		  Keins <input type="radio" id="pedalversion" name="pedalversion" value="0" <? if ( $pedalversion==0) echo " checked "; ?> > <br>
		  Version 1 <input type="radio" id="pedalversion" name="pedalversion" value="1" <? if ( $pedalversion==1) echo " checked "; ?> > <br>
		  Version 2 <input type="radio" id="pedalversion" name="pedalversion" value="2" <? if ( $pedalversion==2) echo " checked "; ?> > <br>
		  Maus <input type="radio" id="pedalversion" name="pedalversion" value="3" <? if ( $pedalversion==3) echo " checked "; ?> > <br>
		</td>
	  </tr>

	  <tr> 
        <td width="102"></td>
	  </tr>	

	  <tr> 
        <td width="102"></td>
	  </tr>	
	  
	    <tr> 
        <td width="102">Anzahl der Signale</td>
        <td width="131"> 
          <select name="anzahlgleichzeitig" id="anzahlgleichzeitig">
		    <?php
			  for ( $i=1; $i<=4; $i++ ) {
				  $selected = "";
				  if ( $i == $anzahlgleichzeitig ) {
						$selected = " selected ";
				  }
				  echo "<option value='$i' $selected>$i</option>";
			  }
			?>  
          </select>
        </td>
      </tr>
	  
	   <tr> 
        <td width="102"></td>
	  </tr>	
	  
	   <tr> 
        <td width="102"></td>
	  </tr>	
	  
	  
	   <tr> 
        <td width="102"></td>
	  </tr>	
	  
	  
	  <tr> 
        <td width="102"></td>
	  </tr>	
	  
	  
	 <tr> 
        <td colspan="4"> 
          <div align="center"> 
		    <input id="saveForm" class="btn btn-primary" type="submit" name="submit" value="Parameter speichern" onclick="document.getElementById('speichern').value=1;"/>
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input id="saveForm" class="btn btn-primary" type="submit" name="submit" value="Test starten" />
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a id="modal-678281" href="#modal-help" role="button" class="btn btn-primary my-2 my-sm-0" data-toggle="modal">Anleitung</a> 
			<input type="hidden" id="speichern" name="speichern" value="0" />
			<input type="hidden" id="pedaltest" name="pedaltest" value="0" />
			
          </div>
        </td>
      </tr>
	  
	  <tr> 
        <td width="102"></td>
	  </tr>
	  
    </table>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
  </form>
</div>
</body>

<script>
 var canvas = document.getElementById('circle');
 var ctx = canvas.getContext( '2d' );
 // ctx.fillStyle = "gray";
 // ctx.fillRect(0, 0, canvas.width, canvas.height);
 
 ctx.rect(25, 25, 75, 100);
 ctx.strokeStyle = '#000000';
 ctx.stroke();
 
 ctx.rect(115, 25, 75, 100);
 ctx.strokeStyle = '#000000';
 ctx.stroke();
 
 


$("#circle").mousedown(function(ev){
	  // alert ("mousepress");
	  if ( document.getElementById('pedaltest').value == 1 ) {
		  // var pedalversion = $("input[name='pedalversion']:checked").val();
		  // var pedalversion = document.getElementById('pedalversion').value;
		  
		  var radios = document.getElementsByName('pedalversion');
		  var pedalversion;
			for (var i = 0, length = radios.length; i < length; i++)
			{
			 if (radios[i].checked)
			 {
			  // do whatever you want with the checked radio
			  // alert("pedalversion IS IS: " + radios[i].value);
			  pedalversion = radios[i].value;
			  // only one radio can be logically checked, don't check the rest
			  break;
			 }
			}

		  // alert ("pedalversion IS: " + pedalversion);
		  var pedalversion = 3;
		  // alert ("pedalversion2: " + pedalversion);
		  if ( ( pedalversion == 3 ) && ev.which == 1 && pedallinkspainted == 0) {
			  ctx.rect(25, 25, 75, 100);
			  ctx.fillStyle = "white";
			  ctx.fillRect(25, 25, 75, 100);
			  pedallinkspainted = 1;
		  }
		  else if ( ( pedalversion == 3 ) && ev.which == 1 && pedallinkspainted == 1) {
			clearPedal(ctx, 25, 25, 75, 100);
			pedallinkspainted = 0;
		  }
		  else if ( ( pedalversion == 3 ) && ev.which == 3 && pedalrechtspainted == 0)  {
			  ctx.rect(115, 25, 75, 100);
			  ctx.fillStyle = "white";
			  ctx.fillRect(115, 25, 75, 100);
			  pedalrechtspainted = 1;
		  }
		  else if ( ( pedalversion == 3 ) && ev.which == 3 && pedalrechtspainted == 1) {
			clearPedal(ctx, 115, 25, 75, 100);
			pedalrechtspainted = 0;
		  }
	  }
	  
	  return true;
});	  


 $(document).keypress(function(e){

    // alert ("KEY PRESS");

});


 </script> 
 


</html>				
				
	
